| Home | Libraries | People | FAQ | More

##### basic_socket_acceptor::bind (1 of 2 overloads)

Bind the acceptor to the given local endpoint.

    void bind(
        const endpoint_type & endpoint);

This function binds the socket acceptor to the specified endpoint on the local machine.

###### Parameters

endpoint

  An endpoint on the local machine to which the socket acceptor will be bound.

###### Exceptions

boost::system::system_error

  Thrown on failure.

###### Example

    boost::asio::ip::tcp::acceptor acceptor(io_service);
    boost::asio::ip::tcp::endpoint endpoint(boost::asio::ip::tcp::v4(), 12345);
    acceptor.open(endpoint.protocol());
    acceptor.bind(endpoint);